Bug 12724 - LINKFLAGS_PYEMBED should not contain -L/some/path
LINKFLAGS_PYEMBED should not contain -L/some/path
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.6.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-28 12:19 UTC by Stefan Metzmacher
Modified: 2017-04-21 06:54 UTC (History)
2 users (show)

See Also:


Attachments
Possible patch for master (1.40 KB, patch)
2017-03-28 12:31 UTC, Stefan Metzmacher
no flags Details
Possible patch for v4-6-test (without cherry-pick info yet) (1.16 KB, text/plain)
2017-03-28 12:36 UTC, Stefan Metzmacher
no flags Details
Patch for v4-6-test (1.39 KB, patch)
2017-04-04 14:15 UTC, Stefan Metzmacher
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-03-28 12:19:36 UTC
We need -L for system libraries after the -L values of internal libraries
in order to let the build work reliable.

So we should move -L from LINKFLAGS_PYEMBED to LIBPATH_PYEMBED.
Comment 1 Stefan Metzmacher 2017-03-28 12:31:47 UTC
Created attachment 13115 [details]
Possible patch for master
Comment 2 Stefan Metzmacher 2017-03-28 12:36:33 UTC
Created attachment 13116 [details]
Possible patch for v4-6-test (without cherry-pick info yet)
Comment 3 Stefan Metzmacher 2017-04-04 14:15:03 UTC
Created attachment 13131 [details]
Patch for v4-6-test
Comment 4 Alexander Bokovoy 2017-04-04 17:08:27 UTC
Comment on attachment 13131 [details]
Patch for v4-6-test

LGTM. Thanks.
Comment 5 Karolin Seeger 2017-04-19 07:38:00 UTC
Pushed to autobuild-v4-6-test.
Comment 6 Karolin Seeger 2017-04-21 06:54:15 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-6-test.
Closing out bug report.

Thanks!